#/*
# *  Copyright 2007-2010 hkrn <hikarin@users.sourceforge.jp>
# *
# *  Licensed under the Apache License, Version 2.0 (the "License");
# *  you may not use this file except in compliance with the License.
# *  You may obtain a copy of the License at
# *
# *      http://www.apache.org/licenses/LICENSE-2.0
# *
# *  Unless required by applicable law or agreed to in writing, software
# *  distributed under the License is distributed on an "AS IS" BASIS,
# *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# *  See the License for the specific language governing permissions and
# *  limitations under the License.
# */
#
# $Id$
#

package Img0ch::Plugin::BBS::FlowST;

use strict;

sub raise {
    my ($iApp)   = @_;
    my $iSubject = $iApp->subject();
    my $threads  = $iSubject->to_array();

    defined $List::Util::VERSION or require List::Util;
    for my $thread ( List::Util::shuffle(@$threads) ) {
        if ( index( $thread, '924' ) == 0 ) {
            my ( $subject, $res ) = @{ $iSubject->get($thread) };
            $iSubject->age( $thread, $res, $subject );
        }
    }

    $iSubject->save();
    return 1;
}

1;
__END__
